Altibase.jdbc.driver

## Enum AutoCommitMode

- java.lang.Object
- - java.lang.Enum<AutoCommitMode>
  - - Altibase.jdbc.driver.AutoCommitMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AutoCommitMode>

    public enum AutoCommitMode
    extends java.lang.Enum<AutoCommitMode>

PROJ-2190 ClientSide Autocommit 모드가 추가되었기 때문에 autoCommit 값을 boolean이 아닌 enum type으로 표현한다.

Author:
  yjpark

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLIENT_SIDE_AUTOCOMMIT_ON`
`SERVER_SIDE_AUTOCOMMIT_OFF`
`SERVER_SIDE_AUTOCOMMIT_ON`

### Method Summary

All Methods Static Methods Concrete Methods
`static AutoCommitMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AutoCommitMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SERVER_SIDE_AUTOCOMMIT_ON

    public static final AutoCommitMode SERVER_SIDE_AUTOCOMMIT_ON

#### SERVER_SIDE_AUTOCOMMIT_OFF

    public static final AutoCommitMode SERVER_SIDE_AUTOCOMMIT_OFF

#### CLIENT_SIDE_AUTOCOMMIT_ON

    public static final AutoCommitMode CLIENT_SIDE_AUTOCOMMIT_ON

### Method Detail

#### values

    public static AutoCommitMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AutoCommitMode c : AutoCommitMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AutoCommitMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null